Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

update dm-core to 1.1.0 - fixed all DataMapper::RelationshipSet#has_key?

deprecation warnings - remove activesupport from Gemfile
  • Loading branch information...
commit 7813c8e4933c30d7b90a6a3c57f1aef29b87876b 1 parent ea4a6f6
@mephux mephux authored
Showing with 2 additions and 11 deletions.
  1. +1 −10 Gemfile
  2. +1 −1  lib/dm-is-counter_cacheable/is/counter_cacheable.rb
View
11 Gemfile
@@ -83,18 +83,9 @@
source :rubygems
DATAMAPPER = 'http://github.com/datamapper'
-DM_VERSION = '~> 1.0.0'
+DM_VERSION = '~> 1.1.0'
DO_VERSION = '~> 0.10.2'
DM_DO_ADAPTERS = %w[ sqlite postgres mysql oracle sqlserver ]
-RAILS = 'http://github.com/rails/rails.git'
-
-if ENV['EXTLIB']
- gem 'extlib', '~> 0.9.15', :git => '#{DATAMAPPER}/extlib.git'
-else
- gem 'activesupport', '~> 3.0.0', :git => RAILS,
- :branch => '3-0-stable',
- :require => nil
-end
gem 'dm-core', DM_VERSION, :git => "#{DATAMAPPER}/dm-core.git"
View
2  lib/dm-is-counter_cacheable/is/counter_cacheable.rb
@@ -33,7 +33,7 @@ module ClassMethods
def counter_cacheable(relationship_name,options={})
@counter_cache ||= []
- unless self.relationships.has_key?(relationship_name)
+ unless self.relationships.named?(relationship_name)
raise(RuntimeError,"unknown relationship #{relationship_name} in #{self}",caller)
end
Please sign in to comment.
Something went wrong with that request. Please try again.